Subject: Re: [PATCH v4 for-next 00/12] Add network namespace support in the RDMA-CM

From: Haggai Eran <[email-masked]>
Date: Thu, 4 Jun 2015 12:41:33 +0300

On 04/06/2015 00:45, Jason Gunthorpe wrote:
> On Wed, Jun 03, 2015 at 11:07:37PM +0300, Or Gerlitz wrote:
>> As Haggai wrote, if we let the using IP address thing to fly up, we have
>> support for RDMA in containers using the RDMA-CM at IPoIB environments.
>> This will let people test, use, experiment, fix, interact (and even
>> production-it when static IP address assignment scheme is used).
> 
> Sure, I think we all understand the goal, and you've explained some
> reasonable use cases for the child support.
> 
>> Later, usage of alias GUIDs for IPoIB RTNL childs would allow to
>> remove the IP thing.
> 
> How do we remove it? Along with same-guid child support? What is your
> idea here?
> 
>>> Also, now that this has been brought up, I think you need to make a
>>> patch to fix the IPv6 SLAAC breakage this caused. It looks trivial to
>>> modify addrconf_ifid_infiniband to return error if the IPoIB child is
>>> sharing a guid. It was not good at all to push the child patches
>>> forward to 3.6/3.7 if you knew that IPv6 SLAAC was broken by them.
>>
>> Till the alias GUID thing is introduced, maybe we can patch
>> addrconf_ifid_infiniband to use the QPN value from the device HW
>> address to come up with unique IPv6 link local address, agree? where
>> you think we can place the 24 bits QPN?
> 
> I don't know if that is a good idea, an unstable SLAAC is not in
> spirit with the RFCs. The safest bet is to return error and disable
> SLAAC completely.
Maybe this is a silly question, but doesn't DAD already disable SLAAC
addresses when there's a conflict?

Haggai